SwiftGoma.SwiftGoma

Search endpoints

Jump to any API endpoint by name, method, or path

Passkeys

Get passkey login options

POST/api/v1/auth/passkey/login/options

Generates a WebAuthn assertion challenge for signing in with a passkey.

No authentication required
Request/initiation — per IP and per account

Body parameters

emailstringrequired
Account email address.
Request
curl --request POST \
  --url https://api.swiftgoma.com/api/v1/auth/passkey/login/options \
  --header 'Content-Type: application/json' \
  --data '{
  "email": "aline@example.com"
}'
200Example response
{
  "success": true,
  "data": {
    "challengeId": "8f1b2c3d-4e5f-6789-a0b1-c2d3e4f56789",
    "options": {
      "challenge": "base64url-challenge",
      "rpId": "swiftgoma.com",
      "allowCredentials": []
    }
  }
}